// --- [ main.c ] -------------------------------------------------------------
//
// --- Testprogramm fr den Feuchtigkeits-/Temperatursensor HYT-224

#define EXTERN

#include <avr/io.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <util/delay.h>

#include "global.h"
#include "rs232.h"
#include "TWI_Master_c.h"
#include "hyt_224.h"

// --- lokale Funktionen ----------------------------------------------------

// ----------------------------------------------------------------------------
int main(void)
{


asm volatile ("sei");							// fr TWI erforderlich

rs232_init();

puts_p(PSTR("RS232 ready"));
put_c(13);

TWI_Master_Initialise();						// hier nur fr den 

while(1)
	{
	delay_10ms(250);								// 2.5 Sekunden Pause
	HYT224_read();
	
	}
return(0);
}

// ----------------------------------------------------------------------------
// Eine Verzgerung um t * 10ms
void delay_10ms(uint8_t t)
{
while(t--) _delay_ms(10);
}

// --- [ eof ] ----------------------------------------------------------------
